compactBoard.h File Reference
`#include "osl/simpleState.h"`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes

class | osl::book::OPiece
class | osl::book::CompactBoard
| SimpleStateよりcompactな局面の表現 More...

## Namespaces

namespace | osl
namespace | osl::book

## Functions

bool | osl::book::operator== (const CompactBoard &, const CompactBoard &)
| 局面を比較する.
std::ostream & | osl::book::operator<< (std::ostream &os, const CompactBoard &c)
std::istream & | osl::book::operator>> (std::istream &os, CompactBoard &c)
int | osl::book::readInt (std::istream &is)
void | osl::book::writeInt (std::ostream &os, int n)